source: trunk/dports/gnome/gnucash-devel/Portfile @ 123211

Last change on this file since 123211 was 123211, checked in by dports@…, 6 years ago

gnucash-devel: resync with gnucash port (version 2.6.3)

[merge r116990,118521,118834,118835,120699,120704,121044]

File size: 4.7 KB
Line 
1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
2# $Id: Portfile 123211 2014-08-07 02:08:21Z dports@macports.org $
3
4PortSystem        1.0
5
6name              gnucash-devel
7set my_name       gnucash
8version           2.6.3
9categories        gnome x11
10license           GPL-2+
11maintainers       dports openmaintainer
12platforms         darwin
13
14set branch        [join [lrange [split ${version} .] 0 1] .]
15
16description       a personal and small-business financial-accounting software
17
18long_description  GnuCash is a personal and small-business \
19                  financial-accounting software. -- gnucash-devel \
20                  installs a version from the development (unstable) \
21                  branch.  It cannot be installed along the regular \
22                  (stable) version.  If you want to try it, it is \
23                  recommended that you `port deactivate gnucash', then \
24                  `port install gnucash-devel', so that you can go \
25                  back to a working copy in case anything goes wrong.
26homepage          http://www.gnucash.org/
27master_sites      sourceforge:${my_name} \
28                  http://www.gnucash.org/pub/gnucash/sources/unstable/${branch}.x/
29
30dist_subdir       ${my_name}
31distname          ${my_name}-${version}
32use_bzip2         yes
33
34checksums         rmd160  f9426aa5b31e731bc4d7a0837387b3a8d364c0a6 \
35                  sha256  02104c1d6a563d1209e2116dcca7fa9e28445b0e3335bedbcae85c834b17d93f
36
37post-patch {
38    # gnc-fq-dump needs to be patched to use MacPorts perl.
39    # (autoconf takes care of the other perl scripts.)
40    reinplace "s|^#!/usr/bin/perl|#!${prefix}/bin/perl5.16|" ${worksrcpath}/src/quotes/gnc-fq-dump
41}
42
43depends_build     port:pkgconfig \
44                  port:intltool \
45                  port:libtool
46
47depends_lib       port:guile \
48                  port:libgnomeui \
49                  path:lib/pkgconfig/webkit-1.0.pc:webkit-gtk \
50                  port:goffice08 \
51                  port:p5.16-finance-quote
52
53# yelp currently requires X11 to build so disable dependency if building
54# with +quartz
55#
56# TODO: add +x11 +quartz variants to distinguish one build from the other
57# since they have different binary dependencies.  Otherwise, rev-upgrade
58# errors may occur
59
60if {![variant_isset quartz]} {
61    depends_run port:yelp
62}
63
64platform darwin {
65    if {${configure.cxx_stdlib} eq "libstdc++"} {
66       depends_lib-delete path:lib/pkgconfig/webkit-1.0.pc:webkit-gtk
67       depends_lib-append path:lib/pkgconfig/webkit-1.0.pc:webkit-gtk-2.0
68    }
69}
70
71# aqbanking is not universal
72universal_variant no
73
74configure.args    --disable-glibtest \
75                  --disable-dependency-tracking \
76                  --disable-aqbanking \
77                  --disable-ofx \
78                  --disable-dbi \
79                  --with-html-engine=webkit
80configure.perl    ${prefix}/bin/perl5.16
81
82# this variant is obsolete as the current version of gnucash no longer
83# supports libgtkhtml3, only webkit-gtk. It didn't work anyway due to the
84# webkit-gtk dependency manipulations above.
85
86# variant gtkhtml description {Use gtkhtml instead of webkit-gtk for html rendering} {
87#    configure.args-delete --with-html-engine=webkit
88#    depends_lib-delete    path:lib/pkgconfig/webkit-1.0.pc:webkit-gtk
89#    depends_lib-append    port:libgtkhtml3
90# }
91
92variant hbci description {AqBanking/HBCI support} {
93    depends_lib-append  path:lib/libaqbanking.dylib:aqbanking5-gtk
94    configure.args-delete   --disable-aqbanking
95    configure.args-append   --enable-aqbanking
96}
97
98variant ofx description {OFX support} {
99    depends_lib-append  port:libofx
100    configure.args-delete   --disable-ofx
101    configure.args-append   --enable-ofx
102}
103
104variant dbi description {Adds dbi backend support} {
105    depends_lib-append  port:libdbi \
106                        port:libdbi-drivers
107    configure.args-delete --disable-dbi
108    configure.args-append --enable-dbi
109    configure.args-append --with-dbi-dbd-dir=${prefix}/lib/dbd
110    notes-append "gnucash DBI backend support requires the libdbi-drivers port to be built with support for the desired databases. sqlite3 is available by default; for MySQL or PostgreSQL support, ensure that the corresponding variant is selected for libdbi-drivers."
111}
112
113default_variants +ofx +hbci
114
115# variant python27 description {Install Python bindings for Python 2.7} {
116#     #patchfiles-append patch-configure-python.diff
117#     depends_lib-append port:python27
118#     configure.args-append --enable-python
119#     configure.python ${prefix}/bin/python2.7
120# }
121
122post-activate {
123    system "${prefix}/bin/gtk-update-icon-cache -f -t ${prefix}/share/icons/hicolor"
124    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
125}
126
127livecheck.regex "/${my_name} .*/(\[0-9\]+\\.\[0-9\]*\[0-9\]\\.\[0-9\]+)/"
Note: See TracBrowser for help on using the repository browser.